Package pyplusplus :: Package code_creators :: Module instruction :: Class instruction_t

# type instruction_t

source code

                     object --+
                              |
    code_creator.code_creator_t --+
                                  |
                                 instruction_t

Known Subclasses:
  - include_directories.include_directories_t

This class is used as a base class for different instruction for code creators.

Instance Methods

__init__(self, silent=True) Constructor. | source code

get_silent(self) | source code

set_silent(self, silent) | source code

Inherited from `code_creator.code_creator_t`: `beautify`, `create`, `get_system_headers`

Static Methods
Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
| silent silent property controls, whether instruction should be written within generated code or not.
Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance`

Method Details

### __init__(self, silent=True)
(Constructor)

source code

Constructor.

Parameters:
  - `parent` - Parent code creator.
Overrides: code_creator.code_creator_t.__init__
  (inherited documentation)

Property Details

### silent

silent property controls, whether instruction should be written within generated code or not. Default value is True - not written.

Get Method:
  get_silent(self)
Set Method:
  set_silent(self, silent)